Skip to main content
`Ctrl`+`K`

# MatDenseHIPResetArray

Resets the matrix array to that it previously had before the call to `MatDenseHIPPlaceArray()`

## Synopsis

    PetscErrorCode MatDenseHIPResetArray(Mat mat)

Not Collective

## Input Parameter

- mat - the matrix

## Note

You can only call this after a call to `MatDenseHIPPlaceArray()`

## See Also

`MATDENSEHIP`, `MatDenseHIPGetArray()`, `MatDenseHIPPlaceArray()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages